Bug 52991 - ppp connection started via ifup-ppp will not close via ifdown-ppp if connection not made on first try
ppp connection started via ifup-ppp will not close via ifdown-ppp if connecti...
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-01 00:57 EDT by Charles A Crayne
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 15:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles A Crayne 2001-09-01 00:57:44 EDT
Description of Problem: If a ppp connection is invoked via ifup-ppp, and the connection is not successful on the first attempt,  ppp-watch
makes two calls to ifup-ppp after timeout delay. The second call fails because the first call holds the modem lock, which causes ppp-watch to exit.
Since ifdown-ppp checks for a running copy of ppp-watch, it refuses to shut down the ppp connection. May be related to bug 43501.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Force script failure by disconnecting phone line from modem and invoke ifup ppp0.
2. After connect script failure, reconnect phone line to allow redial to be successful
3. invoke ifdown ppp0

Actual Results:

Expected Results:

Additional Information:
Comment 1 Charles A Crayne 2001-09-16 01:26:12 EDT
Upon additional problem determination, I find that this bug is caused by Scott
Sharkey's MAXFAIL patch being placed following the previous retry logic, instead
of replacing it. I have had good luck in testing by merely commenting out the
previous if block. However, I wonder if it would be better to place the MAXFAIL
code inside the if block. [Still deleting the original forkexec, of course.]

Note You need to log in before you can comment on or make changes to this bug.